#include "sys/types.h"
#include "sys/param.h"
#include "sys/sysmacros.h"
#include "sys/immu.h"
#include "sys/region.h"
#include "sys/proc.h"
#include "sys/tss.h"
#include "sys/ioctl.h"
#include "sys/v86.h"
#include "sys/fcntl.h"
#include "sys/tty.h"
#include "sys/termio.h"
#include "sys/ups.h"

#include "config.h"

extern int      outb();
                inb();

struct ups upstab[UPS_UNITS] = {        /* device specific structure */
    {
        0,              /* flags */
        UPS_0_SIOA+0,   /* transmit/recv register port address */
    },
#ifdef UPS_1
    {
        0,              /* flags */
        UPS_1_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_1 */
#ifdef UPS_2
    {
        0,              /* flags */
        UPS_2_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_2 */
#ifdef UPS_3
    {
        0,              /* flags */
        UPS_3_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_3 */
#ifdef UPS_4
    {
        0,              /* flags */
        UPS_4_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_4 */
#ifdef UPS_5
    {
        0,              /* flags */
        UPS_5_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_5 */
#ifdef UPS_6
    {
        0,              /* flags */
        UPS_6_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_6 */
#ifdef UPS_7
    {
        0,              /* flags */
        UPS_7_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_7 */
#ifdef UPS_8
    {
        0,              /* flags */
        UPS_8_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_8 */
#ifdef UPS_9
    {
        0,              /* flags */
        UPS_9_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_9 */
#ifdef UPS_10
    {
        0,              /* flags */
        UPS_10_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_10 */
#ifdef UPS_11
    {
        0,              /* flags */
        UPS_11_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_11 */
#ifdef UPS_12
    {
        0,              /* flags */
        UPS_12_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_12 */
#ifdef UPS_13
    {
        0,              /* flags */
        UPS_13_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_13 */
#ifdef UPS_14
    {
        0,              /* flags */
        UPS_14_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_14 */
#ifdef UPS_15
    {
        0,              /* flags */
        UPS_15_SIOA+0,   /* transmit/recv register port address */
    },
#endif /* UPS_15 */
};

int             ups_num = UPS_UNITS;
